Get Transaction
Get a transaction by ID with its history. Returns 404 when the transaction does not exist or is outside the authenticated account hierarchy.
Path Parameters
- Type: string · Transaction Id
transaction _id requiredThe ID of the transaction to retrieve
Headers
- enum
Accept const:application/jsonrequiredResponse format. Must be
application/json.valuesapplication/json
Responses
- application/json
404 Transaction not found or not accessible
- application/json
Request Example for get/v1/transactions/{transaction_id}
curl 'https://api.uat.koard.com/v1/transactions/{transaction_id}' \
--header 'Accept: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
"account_id": "string",
"additional_details": {},
"apple_transaction_id": "string",
"batch_id": null,
"card": "string",
"card_brand": "string",
"card_type": "string",
"created_at": 1,
"currency": "string",
"device_id": null,
"event_id": "string",
"gateway": null,
"gateway_transaction_id": null,
"gateway_transaction_response": null,
"history": [],
"location_id": null,
"merchant_name": "",
"mid": "string",
"owner_id": null,
"parent_account_ids": [
"string"
],
"payment_method": "string",
"processor": null,
"processor_mid": "string",
"processor_response_code": null,
"processor_response_message": null,
"processor_tid": "string",
"reader_identifier": "string",
"refunded": null,
"reversed": null,
"status": null,
"status_reason": null,
"subtotal": 1,
"surcharge_amount": null,
"surcharge_applied": false,
"surcharge_rate": null,
"tax_amount": null,
"tax_rate": null,
"tid": "string",
"tip_amount": null,
"tip_type": null,
"total_amount": 1,
"transaction_id": "string",
"transaction_type": null
}
